// Chilkat Objective-C header.
// This is a generated header file for Chilkat version 10.1.3

// Generic/internal class name =  CertStore
// Wrapped Chilkat C++ class name =  CkCertStore

@class CkoCert;
@class CkoJsonObject;
@class CkoBinData;


@interface CkoCertStore : NSObject {

	@private
		void *m_obj;

}

- (id)init;
- (void)dealloc;
- (void)dispose;
- (NSString *)stringWithUtf8: (const char *)s;
- (void *)CppImplObj;
- (void)setCppImplObj: (void *)pObj;

- (void)clearCppImplObj;

@property (nonatomic, copy) NSString *DebugLogFilePath;
@property (nonatomic, readonly, copy) NSString *LastErrorHtml;
@property (nonatomic, readonly, copy) NSString *LastErrorText;
@property (nonatomic, readonly, copy) NSString *LastErrorXml;
@property (nonatomic) BOOL LastMethodSuccess;
@property (nonatomic, readonly, copy) NSNumber *NumCertificates;
@property (nonatomic, copy) NSString *SmartCardPin;
@property (nonatomic, copy) NSString *UncommonOptions;
@property (nonatomic) BOOL VerboseLogging;
@property (nonatomic, readonly, copy) NSString *Version;
// method: AddCertificate
- (BOOL)AddCertificate: (CkoCert *)cert;
// method: CloseCertStore
- (BOOL)CloseCertStore;
// method: FindCert
- (BOOL)FindCert: (CkoJsonObject *)json 
	cert: (CkoCert *)cert;
// method: FindCertByRfc822Name
- (CkoCert *)FindCertByRfc822Name: (NSString *)name;
// method: FindCertBySerial
- (CkoCert *)FindCertBySerial: (NSString *)serialNumber;
// method: FindCertBySha1Thumbprint
- (CkoCert *)FindCertBySha1Thumbprint: (NSString *)str;
// method: FindCertBySubject
- (CkoCert *)FindCertBySubject: (NSString *)subject;
// method: FindCertBySubjectCN
- (CkoCert *)FindCertBySubjectCN: (NSString *)commonName;
// method: FindCertBySubjectE
- (CkoCert *)FindCertBySubjectE: (NSString *)emailAddress;
// method: FindCertBySubjectO
- (CkoCert *)FindCertBySubjectO: (NSString *)organization;
// method: GetCert
- (BOOL)GetCert: (NSNumber *)index 
	cert: (CkoCert *)cert;
// method: GetCertificate
- (CkoCert *)GetCertificate: (NSNumber *)index;
// method: GetEmailCert
- (CkoCert *)GetEmailCert: (NSNumber *)index;
// method: LoadPemFile
- (BOOL)LoadPemFile: (NSString *)pemPath;
// method: LoadPemStr
- (BOOL)LoadPemStr: (NSString *)pemString;
// method: LoadPfxBd
- (BOOL)LoadPfxBd: (CkoBinData *)bd 
	password: (NSString *)password;
// method: LoadPfxData
- (BOOL)LoadPfxData: (NSData *)pfxData 
	password: (NSString *)password;
// method: LoadPfxData2
- (BOOL)LoadPfxData2: (NSData *)pByteData 
	szByteData: (NSNumber *)szByteData 
	password: (NSString *)password;
// method: LoadPfxFile
- (BOOL)LoadPfxFile: (NSString *)path 
	password: (NSString *)password;
// method: OpenCurrentUserStore
- (BOOL)OpenCurrentUserStore: (BOOL)readOnly;
// method: OpenSmartcard
- (BOOL)OpenSmartcard: (NSString *)csp;
// method: RemoveCertificate
- (BOOL)RemoveCertificate: (CkoCert *)cert;
// method: SaveLastError
- (BOOL)SaveLastError: (NSString *)path;

@end
